var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
// fileUploader.ts
export class FileUploader {
    constructor(plugin) {
        this.plugin = plugin;
    }
    /**
     * Handles the CSV upload logic.
     * @param file - The uploaded CSV file.
     */
    handleCsvUpload(file) {
        return __awaiter(this, void 0, void 0, function* () {
            const fileData = yield file.text();
            const rows = fileData
                .split("\n")
                .map((line) => line.split(",").map((value) => value.trim()));
            alert("CSV uploaded and matrix populated successfully.");
        });
    }
}
